--- title: "createBlockStorageInstance" slug: "compute-vserver-storage-createblockstorageinstance" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-storage-createblockstorageinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createBlockStorageInstance Available in VPC Create a block storage instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/createBlockStorageInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `zoneCode` | String | Conditional | Zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). - Required for KVM block storage | | `blockStorageName` | String | Optional | Block storage name - Enter 3 to 30 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Auto-generated on no input (default) | | `blockStorageDiskDetailTypeCode` | String | Optional | Block storage disk detailed type code - `SSD` (default) \| `HDD` - Available for XEN block storage | | `blockStorageVolumeTypeCode` | String | Conditional | Block storage volume type code - `SSD` \| `HDD` \| `CB1` \| `FB1` - See [getBlockStorageVolumeTypeList](/docs/en/compute-vserver-storage-getblockstoragevolumetypelist). - Required for KVM block storage | | `serverInstanceNo` | String | Conditional | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). - Required for XEN block storage - KVM block storage can't be assigned to a server at creation time. | | `blockStorageSnapshotInstanceNo` | String | Optional | Block storage snapshot instance number - Enter when creating storage with an expiration snapshot. - See [getBlockStorageSnapshotInstanceList](/docs/en/compute-vserver-snapshot-getblockstoragesnapshotinstancelist). | | `blockStorageSize` | Integer | Conditional | Block storage size (GB) - XEN: 10-2000 - KVM: 10-16380 - Enter in 10 GB increments. - Determined automatically when creating with XEN block storage snapshots - Set to a size equal to or larger than the existing snapshot size when creating with a KVM block storage snapshot. - Restrictions by storage type: See [Storage specifications](https://guide.ncloud-docs.com/docs/en/server-spec-vpc#%EC%8A%A4%ED%86%A0%EB%A6%AC%EC%A7%80-%EC%82%AC%EC%96%91). | | `blockStorageDescription` | String | Optional | Block storage description (byte) - 0-1000 | | `isReturnProtection` | Boolean | Optional | Termination protection status - `true` \| `false` - `true`: protected - `false`: not protected | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/createBlockStorageInstance ?regionCode=KR &zoneCode=KR-1 &blockStorageName=test &blockStorageVolumeTypeCode=CB1 &blockStorageSize=50 &isReturnProtection=false &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createBlockStorageInstanceResponse` | Object | - | Response result - See [BlockStorageInstanceList](/docs/en/common-vapidatatype-blockstorageinstancelist). | | `createBlockStorageInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `createBlockStorageInstanceResponse.returnCode` | String | - | Response code | | `createBlockStorageInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createBlockStorageInstanceResponse": { "totalRows": 1, "blockStorageInstanceList": [ { "blockStorageInstanceNo": "*****4316", "blockStorageName": "test", "blockStorageType": { "code": "SVRBS", "codeName": "Server BS" }, "blockStorageSize": 53687091200, "blockStorageProductCode": "BST.CB.CB1.V001", "blockStorageInstanceStatus": { "code": "INIT", "codeName": "Block storage INIT status" }, "blockStorageInstanceOperation": { "code": "NULL", "codeName": "Block storage NULL OP" }, "blockStorageInstanceStatusName": "initialized", "createDate": "2025-06-25T16:47:03+0900", "blockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "blockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "maxIopsThroughput": 150, "isEncryptedVolume": false, "zoneCode": "KR-1", "regionCode": "KR", "isReturnProtection": false, "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "throughput": 104857600, "iops": 150 } ], "requestId": "9a3574bb-****-****-****-ca3488c6e3dd", "returnCode": "0", "returnMessage": "success" } } ```